## ros-kinetic-pr2-tuckarm 0.6.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_tuckarm)

find_package(catkin REQUIRED COMPONENTS)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS
    INCLUDE_DIRS
    LIBRARIES
)

install(PROGRAMS scripts/tuck_arms.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY scripts launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES icon.png
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-pr2-tuckarm (0.6.0-0xenial) xenial; urgency=high

  * Merge pull request #33 <https://github.com/pr2/pr2_apps/issues/33> from k-okada/add_tuckle_arm
    fix tuck arm client code back to tuck_arm_main.py
  * fix tuck arm client code back to tuck_arm_main.py
    at this moment, pr2_tuckarm tuck_arms.py just start action server, but we expect to run client code see http://wiki.ros.org/pr2_tuckarm
    c.f. https://github.com/PR2/pr2_common_actions/pull/33
  * Merge pull request #15 <https://github.com/pr2/pr2_apps/issues/15> from k-okada/remove_build_depend
    we do not need any package during build process
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * we do not need any package during build process
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.20-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 04 May 2015 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.19-0xenial) xenial; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 28 Apr 2015 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.18-0xenial) xenial; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/PR2/pr2_apps into hydro-devel
  * Updated maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.16-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.15-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 27 Jan 2015 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.14-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 19 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.13-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.12-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 16 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.11-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.10-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 16 Oct 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.9-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.8-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.7-0xenial) xenial; urgency=high

  * Changelog
  * Things
  * Contributors: TheDash
  * Things
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.6-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.5-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.4-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.3-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.2-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-tuckarm (0.5.1-0xenial) xenial; urgency=high

  * Works
  * catkinize pr2_tuckarm
  * Remove tuck_arms
  * Add icon for tuckarms
  * Add .hgignore.
  * remove deprecated tuckarm script
  * fix logerr typo
  * link to new tuckarm version in pr2_common_actions
  * Added Ubuntu platform tags to manifest
  * deprecate tuckarm
  * staging pr2_apps into tick-tock
  * Contributors: Add tuckarms, Kei Okada, TheDash, Tony Pratkanis, gerkey, kwc, pratkanis, wim

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-tuckarm
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/pr2_tuckarm
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-tuckarm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-pr2-tuck-arms-action, ros-kinetic-rospy, ros-kinetic-trajectory-msgs
Description: Tucks the arms of the PR2 robot into a safe position for moving the base of the robot.
 This also moves the arms out of the view of the tilting laser scanner, as much as possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-tuckarm//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
